# Interface SyBoundedReadableType<T extends SySpaceType>

Type Parameters:
  `T` - The coordinate space

All Superinterfaces:
  `SySizedReadableType<T>`

All Known Subinterfaces:
  `SyBoundedType<T>, SyButtonReadableType, SyButtonType, SyButtonWithTextReadableType, SyButtonWithTextType, SyCheckboxReadableType, SyCheckboxType, SyComponentReadableType, SyComponentType, SyContainerReadableType, SyContainerType, SyGridViewReadableType, SyGridViewType, SyImageViewReadableType, SyImageViewType, SyListViewReadableType, SyListViewType, SyMenuBarItemType, SyMenuBarReadableType, SyMenuBarType, SyMenuItemAtomType, SyMenuItemSeparatorType, SyMenuItemSubmenuType, SyMenuItemType, SyMenuReadableType, SyMenuType, SyMeterReadableType, SyScrollBarHorizontalReadableType, SyScrollBarHorizontalType, SyScrollBarReadableType, SyScrollBarType, SyScrollBarVerticalReadableType, SyScrollBarVerticalType, SyScrollPaneReadableType, SyScrollPaneType, SyTextAreaReadableType, SyTextAreaType, SyTextFieldReadableType, SyTextFieldType, SyTextMultiLineViewReadableType, SyTextMultiLineViewType, SyTextViewReadableType, SyTextViewType, SyWindowReadableType, SyWindowType`

public interface SyBoundedReadableType<T extends SySpaceType> extends SySizedReadableType<T>
Read only access to information about objects that have bounds.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default com.io7m.jregions.core.parameterized.areas.PAreaI<T>`
  `boundingArea()`
  `com.io7m.jattribute.core.AttributeReadableType<com.io7m.jtensors.core.parameterized.vectors.PVector2I<T>>`
  `position()`

  ### Methods inherited from interface SySizedReadableType

  `size, sizeUpperLimit`

- ## Method Details

  - ### boundingArea

    default com.io7m.jregions.core.parameterized.areas.PAreaI<T> boundingArea()
    Returns:
      The readable area representing the object's position and bounds

  - ### position

    com.io7m.jattribute.core.AttributeReadableType<com.io7m.jtensors.core.parameterized.vectors.PVector2I<T>> position()
    Returns:
      The position of the top-left corner of the object